Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525780 - KDE 4.14 with multiple X screens fails
Summary: KDE 4.14 with multiple X screens fails
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-18 13:25 UTC by Manfred Knick
Modified: 2015-01-17 22:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge--info.txt (emerge--info.txt,4.76 KB, text/plain)
2014-10-18 13:26 UTC, Manfred Knick
Details
xorg.conf.d_2-devices_4-screens.tar (xorg.conf.d_2-devices_4-screens.tar,20.00 KB, application/x-tar)
2014-10-18 13:27 UTC, Manfred Knick
Details
dot.kde4_2-devices_4-screens_after-fresh-start.tar (dot.kde4_2-devices_4-screens_after-fresh-start.tar,210.00 KB, application/x-tar)
2014-10-18 13:30 UTC, Manfred Knick
Details
ScreenSho-fail-001.jpg (ScreenSho-fail-001.jpg,162.75 KB, image/jpeg)
2014-10-18 13:39 UTC, Manfred Knick
Details
ScreenSho-fail-002.jpg (ScreenSho-fail-002.jpg,145.72 KB, image/jpeg)
2014-10-18 13:39 UTC, Manfred Knick
Details
ScreenSho-fail-003.jpg (ScreenSho-fail-003.jpg,328.92 KB, image/jpeg)
2014-10-18 13:39 UTC, Manfred Knick
Details
ScreenSho-fail-004.jpg (ScreenSho-fail-004.jpg,147.13 KB, image/jpeg)
2014-10-18 13:40 UTC, Manfred Knick
Details
cd /etc/X11/xorg.conf.d ; cat InputDevice_* Server* (Changes-in-xorg.conf.d,1.15 KB, text/x-dsrc)
2014-12-21 13:10 UTC, Manfred Knick
Details
Changes in xorg.conf.d (Changes-in-xorg.conf.d,706 bytes, text/plain)
2014-12-21 13:29 UTC, Manfred Knick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred Knick 2014-10-18 13:25:48 UTC
KDE 4 still fails to manage multiple _seperate_ _X_ screens.

(Please don't mix up with a Xinerama setup - that _may_ be a different story.)


Reproducible: Always

Steps to Reproduce:
1. Delete .kde4
2. start kde
3. move the mouse
Actual Results:  
1.) Background on 4 screens only
2.) Move the mouse: Error message pops up
3.) all but the first monitor on the first HW-device crash

Expected Results:  
4 working separate X WindowManager
with the ability to create separate toolbars on each of them

2 Devices: XEON E3 1276v3 and PNY  PNY GTX 660 Ti OC2
4 separate X screens defined
4 separate monitors attached

Twm works like a charm.

xrandr -q delivers perfect results.

# equery list  x11-base/xorg*
[IP-] [  ] x11-base/xorg-drivers-1.15:0
[IP-] [  ] x11-base/xorg-server-1.15.0:0/1.15.0
[IP-] [  ] x11-base/xorg-x11-7.4-r2:0

# equery list kde-base/kde*
[IP-] [  ] kde-base/kde-base-artwork-4.14.1:4/4.14
[IP-] [  ] kde-base/kde-env-4.14.1:4/4.14
[IP-] [  ] kde-base/kde-l10n-4.14.1:4/4.14
[IP-] [  ] kde-base/kde-wallpapers-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-cursors-4.11.12:4/4.11
[IP-] [  ] kde-base/kdebase-data-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-desktoptheme-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-kioslaves-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-menu-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-menu-icons-4.14.1:4/4.14
[IP-] [  ] kde-base/kdebase-meta-4.14.1:4
[IP-] [  ] kde-base/kdebase-pam-9:0
[IP-] [  ] kde-base/kdebase-runtime-meta-4.14.1:4
[IP-] [  ] kde-base/kdebase-startkde-4.11.12:4/4.11
[IP-] [  ] kde-base/kdebugdialog-4.14.1:4/4.14
[IP-] [  ] kde-base/kdelibs-4.14.1:4/4.14
[IP-] [  ] kde-base/kdepasswd-4.14.1:4/4.14
[IP-] [  ] kde-base/kdepim-common-libs-4.14.1:4/4.14
[IP-] [  ] kde-base/kdepim-icons-4.14.1:4/4.14
[IP-] [  ] kde-base/kdepim-runtime-4.14.1:4/4.14
[IP-] [  ] kde-base/kdepimlibs-4.14.1:4/4.14
[IP-] [  ] kde-base/kdesu-4.14.1:4/4.14
Comment 1 Manfred Knick 2014-10-18 13:26:44 UTC
Created attachment 386878 [details]
emerge--info.txt
Comment 2 Manfred Knick 2014-10-18 13:27:43 UTC
Created attachment 386880 [details]
xorg.conf.d_2-devices_4-screens.tar
Comment 3 Manfred Knick 2014-10-18 13:30:09 UTC
Created attachment 386882 [details]
dot.kde4_2-devices_4-screens_after-fresh-start.tar
Comment 4 Manfred Knick 2014-10-18 13:39:10 UTC
Created attachment 386884 [details]
ScreenSho-fail-001.jpg
Comment 5 Manfred Knick 2014-10-18 13:39:35 UTC
Created attachment 386886 [details]
ScreenSho-fail-002.jpg
Comment 6 Manfred Knick 2014-10-18 13:39:54 UTC
Created attachment 386888 [details]
ScreenSho-fail-003.jpg
Comment 7 Manfred Knick 2014-10-18 13:40:14 UTC
Created attachment 386890 [details]
ScreenSho-fail-004.jpg
Comment 8 Manfred Knick 2014-10-18 13:43:39 UTC
Afterwards, commanding a "log out", KDE hangs.

Selecting the console via <Ctl><Alt><F1>,
a <Ctrl>C is necessary to return to the shell.
Comment 9 Manfred Knick 2014-10-18 13:58:10 UTC
Just for the record:

- - - - - LXDE 0.5.5
and
- - - - - LXQT 0.7
also fail,

only
- - - - - TWM 1.0.8
and
- - - - - XFCE4 4.10
work.

I have not tested gnome lately.

I am looking forward to testing LXQT 0.8
being just released on 2014-10-13
with lxqt-config-randr being replaced by lxqt-config-monitor
[ http://sourceforge.net/p/lxde/mailman/message/32927295/ ]

as soon as
- - - - - https://bugs.gentoo.org/show_bug.cgi?id=525410
depending upon
- - - - - https://bugs.gentoo.org/show_bug.cgi?id=454132
has been resolved.
Comment 10 Manfred Knick 2014-10-18 14:01:33 UTC
(In reply to Manfred Knick from comment #6)
> Created attachment 386888 [details]
> ScreenSho-fail-003.jpg

Translation:

"We are very sorry: the program KWIN has been stopped unexpectedly."

"... KWIN ... segmentation fault ..."
Comment 11 Manfred Knick 2014-10-18 14:04:47 UTC
$ xrandr -q --screen 0 ;  xrandr -q --screen 1 ;  xrandr -q --screen 2 ;  xrandr -q --screen 3 ;  xrandr -q --screen 4'

Screen 0: minimum 8 x 8, current 2560 x 1440, maximum 32767 x 32767
DP1 connected 2560x1440+0+0 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440      60.0*+   29.9  
   1920x1200      59.9  
   1920x1080      60.0     59.9  
   1600x1200      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1280x720       60.0     59.9  
   1024x768       60.0  
   800x600        60.3  
   720x480        60.0     59.9  
   640x480        60.0     59.9     59.9  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

Screen 1: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
DVI-I-1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1920x1080      60.0  
   1600x1200      60.0  
   1680x1050      59.9  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        60.0  
   720x400        70.1  

Screen 2: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
DVI-D-1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1920x1080      60.0  
   1600x1200      60.0  
   1680x1050      59.9  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        60.0  
   720x400        70.1  

Screen 3: minimum 320 x 200, current 2560 x 1440, maximum 8192 x 8192
DP-2 connected 2560x1440+0+0 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440      60.0*+
   1920x1080      60.0  
   1600x1200      60.0  
   1400x1050      60.0  
   1600x900       60.0  
   1280x1024      75.0     60.0  
   1440x900       59.9  
   1360x768       59.8  
   1152x864       75.0  
   1280x720       60.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     60.0  
   720x400        70.1  

Invalid screen number 4 (display has 4)     <--- this is correct:
                                            <--- no fifth screen
Comment 12 Manuel Rüger (RETIRED) gentoo-dev 2014-12-18 17:26:11 UTC
Does it work with latest kde 4.14.3?
Comment 13 Manfred Knick 2014-12-18 21:45:44 UTC
(In reply to Manuel Rüger from comment #12)

> Does it work with latest kde 4.14.3?

O.k., I gave it a quick try tonight to find a quick answer for you:

     "Well, ... much improved:"

+) All four Screens become initialized, their background image gets displayed.

+) A (standard) task list becomes established on first screen,
-) but not on the others.

.) Minor: Translation in menus is incomplete - but I was able to

+) create an (empty) task list on the second screen (_above_ the first),
   which again sits at the bottom.

-) Unfortunately, the menu to add any entries (alt. mouse click)
   expands to the bottom - which is "out of reach".

HTH.

Thanks
Manfred
Comment 14 Manfred Knick 2014-12-19 09:48:08 UTC
Addendum 1:

     "Sorry - but still _unusable_ :"

-) Still no keyboard working an any of the four screens (!)

.) Mouse action possible on all four of them


Addendum 2:

> -) Unfortunately, the menu to add any entries (alt. mouse click)
>    expands to the bottom - which is "out of reach".

+) "Add panel" works on all four screens

-) This Misplacement applies to the two upper screens
+) on both of the lower screens, the menu stays visible
.) ( should be a good hint for the culprit ;) )


Manfred
Comment 15 Manfred Knick 2014-12-19 10:29:21 UTC
(In reply to Manfred Knick from comment #9)

> Just for the record:

Addendum:

- - - - - fluxbox-1.3.5

works like a charm:

+ multiple monitors
+ multiple workspaces on each of them

+ easily editable menu : app-vim/fluxbox-syntax :)
+ Key commands

+ all {gtk|...|gnome|kde}-based applications supported as expected

+ quick as flashlight
+ even on (very!) old HW like ThinkPad A22p

+ ...

==> everything I need for efficient work,
==> without any unnecessary overhead at all.
Comment 16 Manuel Rüger (RETIRED) gentoo-dev 2014-12-19 11:48:53 UTC
(In reply to Manfred Knick from comment #15)
> (In reply to Manfred Knick from comment #9)
> 
> > Just for the record:
> 
> Addendum:
> 

Well it is nice, that your setup is working on other desktop environments.
But as this is a downstream bugtracker, a cross-distribution comparison would enlighten us more.

If you can reproduce your issues on other distributions please consider to create a bug report upstream on bugs.kde.org and add a reference back here.
Comment 17 Manfred Knick 2014-12-21 13:10:52 UTC
Created attachment 392154 [details]
cd /etc/X11/xorg.conf.d ; cat InputDevice_* Server*

Changes versus xorg.conf.d_2-devices_4-screens.tar (c.f. above)
Comment 18 Manfred Knick 2014-12-21 13:29:41 UTC
Created attachment 392156 [details]
Changes in xorg.conf.d

$ cd /etc/X11/xorg.conf.d
$ cat InputDevice_* Server*
Comment 19 Manfred Knick 2014-12-21 13:46:17 UTC
(In reply to Manuel Rüger from comment #16)
> (In reply to Manfred Knick from comment #15)
> > (In reply to Manfred Knick from comment #9)

> Well it is nice, that your setup is working on other desktop environments.

I wanted to go really sure that it is KDE-related only
and no xorg / X11 setup weakness were to be blamed at all.

This BTW resulted in my very personal "enlightenment" 
how much you can get with 'less' (greeting KISS again).

And indeed it is my question @ KDE UPSTREAM
why (although reported in multiple ways) such very basic functionality 
did not get tested and bug-fixed for so many years
whereas decorations and automatisms explode and inflate ...

For me, a functional multi-screen multi-workspace environment
is just the necessary basics to get my work done ...

@ GENTOO KDE TEAM :
  RESPECT, CONGRATULATIONS and THANKS A LOT
  for many years of excellent work.

> But as this is a downstream bugtracker, a cross-distribution comparison
> would enlighten us more.

I completely agree with your reasoning & request. Well, I apologize:
I forgot to mention that I had tested and reproduced this problem 
many times on other distributions already,
including e.g. Fedora up to the F20 release.

Nevertheless, I took some hours to install a current release Fedora 21 setup
in order to compare again,
figuring out how xorg.conf.d had to be adapted and simplified.

Unexpectedly I have to admit that

A) on current FEDORA 21:

-  - even on the second screen (_above_ the first),
-  - - the 'task list' -> 'add entries' menu expands within reach

-  - on both screens, keyboard input is functional

Afterwards, I ported these changes to my Gentoo setup 

     --> c.f. attachment 392156 [details] above

and verified the changes being working with the "other" environments first.

Unfortunately, last not least firing up KDE again,

B) on this similarly adapted Gentoo,

-  - all errors persist as described above

> If you can reproduce your issues on other distributions please consider to
> create a bug report upstream on bugs.kde.org and add a reference back here.

Admittedly I am not very happy with these findings above :(

To me, it is not clear yet if perhaps the problem
- is still contained in KDE upstream          and
- Fedora people have 'only' fixed it 'locally' in F21.

Hope this helps !

Yours respectfully
Manfred
Comment 20 Johannes Huber gentoo-dev 2015-01-17 22:30:51 UTC
This is an upstream issue, please report it there.